stopmotion (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch uscan support file for upstream repo and tags
  * Configure git-buildpackage
  * Bump to debhelper 11
  * Bump policy version
  * merge minor spelling correction
  * address minor lintian nitpicks

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Feb 2018 10:57:38 +0000

stopmotion (0.8.3-1) unstable; urgency=medium

  * New upstream release
    - repair testing issue (closes: #800059)
    - don't bail on vgrabbj exit code 256 (closes: #782885)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Jun 2017 13:08:09 +0100

stopmotion (0.8.2-1) unstable; urgency=medium

  * New upstream release
    - remove dependency on SDL
    - file README now README.md
  * bump to debhelper 10
  * add recommendation of uvccapture

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Apr 2017 11:58:53 +0100

stopmotion (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * remove menu file per tech-ctte decision on #741573
  * enable hardening
  * disable dh_auto_test, due to test-jig compile-time error
  * force use of qt4
  * bump policy version
  * use https for packaging repo

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Jul 2016 09:13:44 +0200

stopmotion (0.8.0-5) unstable; urgency=medium

  * patch from Georges Khaznadar <georgesk@debian.org> for vgrabbj daemon
    mode return code (closes: #785459)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2015 10:17:56 +0100

stopmotion (0.8.0-4) unstable; urgency=medium

  * stop ignoring failures in dh_auto_test

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Dec 2014 11:14:34 +0000

stopmotion (0.8.0-3) unstable; urgency=medium

  * Merge upstream fixes
    - acbfcf4 Added some logging for mock file system initialization errors
    - 269f47a Fixed lrelease output directory
    - 3dce257 Using /tmp not home directory for generated test files
    - 87a451d Factored out TestHome and used it to wrap the real command tests
    - 6b8fc18 Listed *.qm files more sanely
    - 2a5de1c Fixed target.path configs and PREFIX
    - 04f10de Fixed INSTALL_ROOT and PREFIX to match convention
    - ad1d9cf Using standard ioctl to detect webcams
    - 6a2ed5b Deleted libng source
    - 653bb40 Turned warnings on and eliminated most of them
    - da252f3 translation install target appears even if no qm files yet
    - 6124aa0 removed dummy target
    These fix two things:
    - build system fixes, to install *.qm files without workarounds
    - update camera detection to use ioctl mechanisms, for portability
  * upstream build system fixes obviate necessity of *.qm workaround
  * re-enable dh_auto_test but ignore failures

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Dec 2014 22:15:07 +0000

stopmotion (0.8.0-2) unstable; urgency=medium

  * Merge upstream fixes
    - da7af98 corrected README. 'make' makes just release, not release+debug
    - 678cdf7 Fix lintian issue desktop-mime-but-no-exec-code
    - 473a291 Removed last PATH_MAX references to allow it to compile on Hurd
  * disable dh_auto_test because it fails on the autobuilders

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Nov 2014 16:58:44 +0000

stopmotion (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * No longer uses libinotify
  * Fixes many issues in Ubuntu bug tracker:
    - 863965 No save dialog on exit (unnecessary as recovery is now seamless)
    - 910532 Edit operations are not correct
    - 923447 Deleting scene not undoable
    - 1194805 Resume capture will start at a random point
    - 1194818 Recovery function puts frames in the wrong order
    - 863979 Captured frames not stored on disk
    - 1069370 Cut and paste doesn't work on the timeline
    - 864052 Autosaving (recovery does this job)
    - 1036282 Onionskinning ignores changes in the timeline
    - 1050180 Framebar reentrancy causes crashes
    - 1069372 Inconsistent drag and drop behaviour
    - 1210879 We need a decent undo and recovery system
  * Other notable upstream changes and fixes:
    - Exporting gets the frames in the right order
    - Allows selection with shift+left/right
    - Correctly en/disables undo/redo/save and sets title
    - enable/disable loop button whenever play button enabled/disabled
    - onionskinning alpha value fix
    - and many more
  * Work around *.qm issue in build system: must exist in build/ prior to
    qmake to get *.qm included in install target

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Nov 2014 19:52:52 +0000

stopmotion (0.7.2-1) unstable; urgency=low

  * New upstream version
    - switch from /usr/bin/ffmpeg to /usr/bin/avconv (closes: #724948)
    - German translation fix (closes: #516765)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2014 23:02:40 +0000

stopmotion (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Adapt to upstream switch to qmake

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jan 2014 23:32:51 +0100

stopmotion (0.6.2+git.1.10d2ea43-2) unstable; urgency=low

  * Merge and acknowledge (Thanks Matthias!) NMU
  * Include a bunch of minor fixes like PATH_MAX, see git for details

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Jul 2012 09:18:19 +0100

stopmotion (0.6.2+git.1.10d2ea43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes (Cyril
    Brulebois). Closes: #667383.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 16:31:58 +0800

stopmotion (0.6.2+git.1.10d2ea43-1) unstable; urgency=low

  * Merge changes from resurrected upstream on sourceforge + tweaks
  * Remove now-unneeded quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 19:23:55 +0000

stopmotion (0.6.2-2) UNRELEASED; urgency=low

  * Co-hijack package (i.e., add self as co-maintaining uploader)
  * Update debian packaging.
    - Simplify with dh mechanisms.
    - Add doc-base entry.
    - Tweak build-time link flags without editing generated Makefile.
    - Add collab-main git VCS repo to debian/control.
    - Add new project homepage to debian/control.
    - Address most lintian issues.
  * Patches
    - Use source format 3.0 (quilt).
    - Migrate debian changes to upstream code into quilt patches.
    - Quilt patches for various upstream spelling errors.
    - Quilt patch to remove desktop file encoding key.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 17:44:08 +0000

stopmotion (0.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add math and x11 library to fix FTBFS, Patch from Matthias
    Klose <doko@ubuntu.com>. (Closes: #565056, #606721)
  * Fix Crash when read single jpg files. Patch from Ying-Chun Liu (PaulLiu)
    <paulliu@debian.org>. (Closes: #612762)

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 10 Jan 2012 19:26:27 +0700

stopmotion (0.6.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use pidof instead of a combination of kill, ps and grep (Closes: #496027).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 07 Dec 2010 06:07:08 +0100

stopmotion (0.6.2-1) unstable; urgency=low

  * New upstream release
    - Fixed an invalid read reported by Valgrind.
    - Fixed a crash occuring on some 64-bit systems.
    - Fixed the default translation to be the same as the locale.
    - Rewrote the file system watcher to use inotify-tools instead of FAM.
    - Included the man page in upstream tarball.
    - Updated the Italian translation.
  * segfault at startup (Closes: #488621)
  * Upgrade to Standards-Version 3.8.0.
  * Replace libfam-dev with libinotifytools-dev in control/Build-Depends

  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 25 Jul 2008 12:59:29 +0200

stopmotion (0.6.1-1) unstable; urgency=low

  * New upstream release
    - Added Italian and Turkish translation.
    - Applied a patch from Josh Green that improves copying of files.
    - Fixed problems related to file names containing white spaces.
    - Fixed gcc-4.3 compiler warnings.
    - Fixed a Qt 4.4.0 specific issue related to non-native windows.
  * not handling nostrip build option (policy 10.1) (Closes: #438071)
  * does not start (Closes: #413252)
  * Updated debian/menu to reflect the new menu policy (Apps -> Applications).

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 09 May 2008 17:05:33 +0200

stopmotion (0.6.0-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix FTBFS with GCC 4.3 (Closes: #417705).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 17:19:55 +0000

stopmotion (0.6.0-1) unstable; urgency=low

  * New upstream release
    - Added button to launch Gimp with the current active frame.
  * Added Gimp to 'Suggests' in debian/control.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun, 25 Feb 2007 15:25:48 +0100

stopmotion (0.5.6-1) unstable; urgency=low

  * New upstream release
    - Fixed segfault after recovery and in some cases when reading
      the preferences file.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Feb 2007 22:48:33 +0100

stopmotion (0.5.5-1) unstable; urgency=low

  * New upstream release
     - Added Portuguese translation and updated the "thanks to" list.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat,  6 Jan 2007 15:13:35 +0100

stopmotion (0.5.4-1) unstable; urgency=low

  * New upstream release
      - Added translations: german, spanish and swedish
      - Added yet another import option for dvgrab
      - Fixed out-of-sync issue with SDL window
  * stopmotion fails to start (Closes: #387768)
  * stopmotion missing on the K menu (under multimedia) (Closes:
    #397286)
  * Missing packages in debian/control's Suggests: (Closes: #376921)
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Thu,  4 Jan 2007 23:05:22 +0100

stopmotion (0.5.3-1) unstable; urgency=low

  * New upstream release
     - Added dynamic translation to the preferences menu
  * Fixes FTBFS during the second time build (Closes: #373172)
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat, 24 Jun 2006 13:55:31 +0200

stopmotion (0.5.2-1) unstable; urgency=low

  * Added automatic detection and setup of v4l devices (Closes: #366237)
  * Added videodog as an import command
  * Fixed segfault when removing empty scene
  * Updated the norwegian translation
  * Manual page included in upstream
  * Cosmetic changes to the manual page
  * Removed config.sub and config.guess from rules
  * Removed Andreas from the uploaders field in control
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Jun 2006 15:16:25 +0200

stopmotion (0.5.1-1) unstable; urgency=low

  * Changed from '/bin/which' to 'which' in the Util class
  * Changed from 'INSTALL_ROOT' to 'prefix' on install targets in the
    Makefile
  * Included cassert.h in the Util class
  * Fixed minor bug related to opening and closing of scenes
  * Updated to Standards-Version 3.7.2

  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri,  5 May 2006 15:13:20 +0200

stopmotion (0.5.0-1) unstable; urgency=low

  * Ported to Qt4
  * Added:
    - Support for getting output from stdout in a custom widget as well as
      typing input to stdin
    - Experimental import option for dvgrab in the preferences menu
    - French translation
    - Searching for commands given in the preferences menu
    - Autoconf based configure script
    - pkg-config as build dependency
  * Refactored:
    - Framebar
    - Languagehandler
  * Changed the way buffering of images is done, more efficient now
  * Optimized the paint routine in frameview
  * Improved the way Stopmotion is installed and removed when doing
    'make install' and 'make uninstall'

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Tue, 18 Apr 2006 20:08:02 +0200

stopmotion (0.4.1-1) unstable; urgency=low

  * Code cleanup
  * Code optimization
  * Fixed few memory leaks
  * Made initializing of Stopmotion and reading of image files more robust in
    case of wrong permissions
  * Added slovenian translation

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat,  4 Mar 2006 13:29:38 +0100

stopmotion (0.4.0-1) unstable; urgency=low

  * Added a new feature: Automatic grabbing of images at given time intervals

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Thu,  9 Feb 2006 23:53:39 +0100

stopmotion (0.3.4-1) unstable; urgency=low

  * please include icon for menu (Closes: #348933)
  * Added another option for video export, using ffmpeg
  * Updated the norwegian translation
  * Changed from using '(DEFAULTPATH)' to '$IMAGEFILE' on import settings to
    make it more consistent

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun, 22 Jan 2006 16:03:17 +0100

stopmotion (0.3.3-1) unstable; urgency=low

  * FTBFS on GNU/kFreeBSD (Closes: #336872)
  * Added czech translation
  * Added two more default options for video export
  * Added support for multiple versions of the preferences file

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  8 Jan 2006 18:38:33 +0100

stopmotion (0.3.2-2) unstable; urgency=low

  * uninstallable; needs rebuild for the Qt/KDE transition (Closes:
    #328019)

 -- Andreas Schuldei <andreas@debian.org>  Tue, 13 Sep 2005 13:49:14 +0200

stopmotion (0.3.2-1) unstable; urgency=low

  [ Bjoern Erik Nilsen ]
  * New upload to get a rebuild with the new C++ ABI
    (build depends on libqt3-mt-dev)
  * Added virtual destructors to few classes

 -- Andreas Schuldei <andreas@debian.org>  Tue, 13 Sep 2005 13:49:01 +0200

stopmotion (0.3.1-1) unstable; urgency=low

  * Added terminating of the grabber process if camera is turned on when
    closing the program
  * Changed the way default preferences are initalized. Did also add a default
    option for video export
  * Changed the control file: moved vgrabbj and fam from depends to recommends
    and suggests, respectively

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun, 31 Jul 2005 17:17:30 +0200

stopmotion (0.3.0-1) unstable; urgency=low

  * Fixed the following bugs:
    - Segfault if no FAM is installed
    - Segfault when running mainwindowgui's destructor
    - Segfault when trying to remove empty rows in the preferences menu
    - Missing images when adding a frame to a saved project
  * Added:
    - Exporting to video without saving first
    - Norwegian translation files
    - User manual in html format

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Thu, 19 May 2005 14:16:42 +0200

stopmotion (0.3pre.1-1) unstable; urgency=low

  * Removed displaying of sound related error messages if no sounds are added
  * Fixed so that the most recent menu doesn't fills up with only one project
  * Fixed the free(): invalid pointer error when closing the application
  * Added ability to start up the program with a project file as argument
  * Implemented recovery of sounds when running in recovery mode
  * Changed the manual page

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Mon,  2 May 2005 16:49:56 +0200

stopmotion (0.3pre.0-2) unstable; urgency=low

  * Added this tag: Closes: #302414 for closing the wnpp.

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Thu, 28 Apr 2005 16:02:51 +0200

stopmotion (0.3pre.0-1) unstable; urgency=low

  * Changed the name of the package to avoid version conflicts on later
    uploads. I've also added the final implementation for file monitoring.
    This seems to work well now.

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Thu, 28 Apr 2005 13:59:51 +0200

stopmotion (0.pre3.4-2) unstable; urgency=low

  * Removed some local dependencies in the debian/rules file

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Tue, 26 Apr 2005 18:34:57 +0200

stopmotion (0.pre3.4-1) unstable; urgency=low

  * Fixed a bug when removing scenes

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Tue, 25 Apr 2005 17:12:36 +0200

stopmotion (0.pre3.3-1) unstable; urgency=low

  * Fixed a bug when copying files to the tmp directory

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Sun, 24 Apr 2005 05:26:52 +0200

stopmotion (0.pre3.2-1) unstable; urgency=low

  * A brand new recovery mode and the ability to open the most
    recent projects

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Sun, 24 Apr 2005 04:12:46 +0200

stopmotion (0.pre3.1-1) unstable; urgency=low

  * Corrected the .desktop file so the program is showing in the desktop menu

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Sat, 23 Apr 2005 16:16:19 +0200

stopmotion (0.pre3.0-1) unstable; urgency=low

  * New look and feel and some new features

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Thu, 21 Apr 2005 23:07:21 +0200

stopmotion (0.2.0-1) unstable; urgency=low

  * Kicked out GStreamer and made it possible to define own image grabbers.
    This has been successful since most of the bugs are now gone.
    Onionskinning is also implemented and it is possible to play sounds

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Wed, 30 Mar 2005 16:16:37 +0200

stopmotion (0.1.1-1) unstable; urgency=low

  * A lot of bugfixes from previous release and a brand new project serializer

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Sun, 13 Mar 2005 04:15:37 +0100

stopmotion (0.1.0-1) unstable; urgency=low

  * A lot of more features such as capturing from v4l devices are implemented
    in this release

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Mon, 28 Feb 2005 17:07:00 +0100

stopmotion (0.0.1-1) unstable; urgency=low

  * Initial Release

 -- Bjoern Erik Nilsen <bjoern.nilsen@hig.no>  Thu, 10 Feb 2005 19:19:46 +0100
